<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myOrderPaymentLabel" jhiTranslate="mpmApp.orderPayment.home.createOrEditLabel">Create or edit a Order Payment</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!orderPayment.idOrderPayment">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="orderPayment.idOrderPayment" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderPayment.amount" for="field_amount">Amount</label>
                    <input currencyMask class="form-control" name="amount" id="field_amount"
                        [(ngModel)]="orderPayment.amount"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                         />
                </div>

                <div class="form-group" *ngIf="idOrders === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderPayment.orders" for="field_orders">Orders</label>
                    <select class="form-control" id="field_orders" name="orders" [(ngModel)]="orderPayment.ordersId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="ordersOption.idOrder" *ngFor="let ordersOption of orders; trackBy: trackOrdersById">{{ordersOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idPayment === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.orderPayment.payment" for="field_payment">Payment</label>
                    <select class="form-control" id="field_payment" name="payment" [(ngModel)]="orderPayment.paymentId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="paymentOption.idPayment" *ngFor="let paymentOption of payments; trackBy: trackPaymentById">{{paymentOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
